<h2>Dog List</h2>

<div class="row g-4">
    <app-dog class="col-md-4" *ngFor="let dog of list" [dog]="dog"></app-dog>
</div>
<button (click)="sortById()">By id</button>
<button (click)="sortByName()">By name</button>
<button (click)="sortByBreed()">By breed</button>
<button (click)="sortByBirth()">By birth</button>